Package io.github.jdbcx

# Enum QueryMode

java.lang.Object
java.lang.Enum<QueryMode>
io.github.jdbcx.QueryMode

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryMode>`, `java.lang.constant.Constable`

public enum QueryMode extends Enum<QueryMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASYNC`
Executes the query asynchronously immediately.
`DIRECT`
Executes the query and waits the result.
`MUTATION`
Executes a mutation and waits for the result.
`REDIRECT`
Submits the query and expects a redirect to the URL for retrieving results.
`SUBMIT`
Submits the query for execution later.

## Method Summary

Modifier and Type
Method
Description
`String`
`code()`
`static QueryMode`
`of(String str)`
`static QueryMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QueryMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUBMIT

public static final QueryMode SUBMIT
Submits the query for execution later.

### REDIRECT

public static final QueryMode REDIRECT
Submits the query and expects a redirect to the URL for retrieving results.

### ASYNC

public static final QueryMode ASYNC
Executes the query asynchronously immediately.

### DIRECT

public static final QueryMode DIRECT
Executes the query and waits the result.

### MUTATION

public static final QueryMode MUTATION
Executes a mutation and waits for the result.

## Method Details

### values

public static QueryMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static QueryMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### code

public String code()

### of

public static QueryMode of(String str)